Index: trunk/ICeCoffEE/ICeCoffEE/GetNumericBundleVersion.c
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/GetNumericBundleVersion.c	(revision 421)
+++ trunk/ICeCoffEE/ICeCoffEE/GetNumericBundleVersion.c	(revision 421)
@@ -0,0 +1,45 @@
+/*
+ *  GetNumericBundleVersion.c
+ *  ICeCoffEE
+ *
+ *  Created by Nicholas Riley on 2/29/08.
+ *  Copyright 2008 Nicholas Riley. All rights reserved.
+ *
+ */
+
+#include <crt_externs.h>
+#include <CoreFoundation/CoreFoundation.h>
+
+void usage(const char *fmt, ...) {
+    char *progname = **_NSGetArgv();
+    if (fmt != NULL) {
+	va_list ap;
+	va_start(ap, fmt);
+	fprintf(stderr, "%s: ", progname);
+	vfprintf(stderr, fmt, ap);
+	fputs("\n", stderr);
+    }
+    fprintf(stderr, "usage: %s bundle_path\n", progname);
+    exit(1);
+}
+
+int main(int argc, char *argv[]) {
+    if (argc != 2)
+	usage(NULL);
+    
+    CFURLRef url = CFURLCreateFromFileSystemRepresentation(NULL, (UInt8 *)argv[1], strlen(argv[1]), true);
+    if (url == NULL)
+	usage(NULL);
+    
+    CFBundleRef bundle = CFBundleCreate(NULL, url);
+    if (bundle == NULL)
+	usage("can't create CFBundleRef from %s", argv[1]);
+    
+    UInt32 version = CFBundleGetVersionNumber(bundle);
+    if (version == 0)
+	usage("can't get version from %s", argv[1]);
+    
+    printf("%d\n", version);
+    
+    return 0;
+}
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 393)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 421)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1F137570D6F7E5D007D5BA3</string>
+				<string>E19868390D72A097003CCA1C</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEETrigger.m</string>
+				<string>ICeCoffEEServicePrefController.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1F137580D6F7E5D007D5BA3</string>
+						<string>E198683A0D72A097003CCA1C</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEETrigger.m</string>
+						<string>ICeCoffEEServicePrefController.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1324EA60D6F80C100ADB1ED</string>
+						<string>E13CAD750D78CCF70051111D</string>
 						<key>history</key>
 						<array>
-							<string>E1F1375A0D6F7E5D007D5BA3</string>
+							<string>E1A953930D771DD300AF3BBA</string>
 						</array>
 					</dict>
@@ -230,49 +230,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {867, 996}}</string>
+				<string>{{0, -1}, {841, 947}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>959 138 867 1016 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E102B7D40D6F7D2A0030BE17</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEConfig.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E102B7D50D6F7D2A0030BE17</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEConfig.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1324EA70D6F80C100ADB1ED</string>
-						<key>history</key>
-						<array>
-							<string>E1F1375B0D6F7E5D007D5BA3</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {750, 482}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>732 376 750 502 0 0 1920 1178 </string>
+				<string>174 56 841 967 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -290,4 +250,5 @@
 				<string>build-and-goOrGo</string>
 				<string>com.apple.ide.PBXToolbarStopButton</string>
+				<string>active-target-popup</string>
 				<string>NSToolbarFlexibleSpaceItem</string>
 				<string>get-info</string>
@@ -305,5 +266,5 @@
 				<dict>
 					<key>Proportion</key>
-					<string>315pt</string>
+					<string>323pt</string>
 					<key>Tabs</key>
 					<array>
@@ -326,5 +287,5 @@
 									<array>
 										<real>22</real>
-										<real>276</real>
+										<real>284</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -339,7 +300,7 @@
 									<array>
 										<string>29B97314FDCFA39411CA2CEA</string>
+										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
-										<string>E1AFA51C03ECFDB000050001</string>
-										<string>E1BF154403DB950B00050002</string>
+										<string>E14E2B3F0C2CC01700AC18D0</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
 									</array>
@@ -347,10 +308,9 @@
 									<array>
 										<array>
-											<integer>39</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 331}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -362,5 +322,5 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
@@ -368,8 +328,8 @@
 									<real>22</real>
 									<string>MainColumn</string>
-									<real>276</real>
+									<real>284</real>
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1598 467 315 707 0 0 1920 1178 </string>
+								<string>1596 407 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -394,5 +354,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>298</real>
+										<real>306</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -406,13 +366,15 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>1C37FAAC04509CD000000102</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>15</integer>
+											<integer>7</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -424,9 +386,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>298</real>
+									<real>306</real>
 								</array>
 							</dict>
@@ -457,5 +419,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>298</real>
+										<real>306</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -475,5 +437,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -485,9 +447,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>298</real>
+									<real>306</real>
 								</array>
 							</dict>
@@ -510,6 +472,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1324E9C0D6F7E6B00ADB1ED</string>
-				<string>E1324E9D0D6F7E6B00ADB1ED</string>
+				<string>E13CACE20D78C4BD0051111D</string>
+				<string>E13CACE30D78C4BD0051111D</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -542,12 +504,12 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E1324EA80D6F80C100ADB1ED</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E102B7D40D6F7D2A0030BE17</string>
-		<string>E1F137570D6F7E5D007D5BA3</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E19868390D72A097003CCA1C</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1598 467 315 707 0 0 1920 1178 </string>
+	<string>1596 407 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -715,7 +677,7 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {1011, 0}}</string>
+								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>663 40 1011 271 0 0 1920 1178 </string>
+								<string>302 76 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -729,4 +691,6 @@
 							<key>ContentConfiguration</key>
 							<dict>
+								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
+								<string>{{0, 263}, {1092, 499}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -741,16 +705,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 5}, {1011, 225}}</string>
+								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>663 40 1011 271 0 0 1920 1178 </string>
+								<string>302 76 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>225pt</string>
+							<string>762pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>230pt</string>
+					<string>767pt</string>
 				</dict>
 			</array>
@@ -766,5 +730,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1F1375C0D6F7E5D007D5BA3</string>
+				<string>E13CACEA0D78C4BD0051111D</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -773,9 +737,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>663 40 1011 271 0 0 1920 1178 </string>
+			<string>302 76 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -808,6 +772,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {274, 280}}</string>
-											<string>{{274, 0}, {533, 280}}</string>
+											<string>{{0, 0}, {463, 310}}</string>
+											<string>{{463, 0}, {344, 310}}</string>
 										</array>
 									</dict>
@@ -824,6 +788,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {807, 280}}</string>
-											<string>{{0, 280}, {807, 249}}</string>
+											<string>{{0, 0}, {807, 310}}</string>
+											<string>{{0, 310}, {807, 219}}</string>
 										</array>
 									</dict>
@@ -851,17 +815,17 @@
 									<array>
 										<string>Name</string>
-										<real>164</real>
+										<real>154</real>
 										<string>Value</string>
 										<real>85</real>
 										<string>Summary</string>
-										<real>259</real>
+										<real>80</real>
 									</array>
 									<key>Frame</key>
-									<string>{{274, 0}, {533, 280}}</string>
+									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>938 75 807 570 0 0 1920 1178 </string>
+									<string>736 128 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>938 75 807 570 0 0 1920 1178 </string>
+								<string>736 128 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -886,20 +850,20 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E1890CAF0D6F7A07007FAE30</string>
+				<string>E13CACEB0D78C4BD0051111D</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E1890CB00D6F7A07007FAE30</string>
-				<string>E1890CB10D6F7A07007FAE30</string>
-				<string>E1890CB20D6F7A07007FAE30</string>
-				<string>E1890CB30D6F7A07007FAE30</string>
-				<string>E1890CB40D6F7A07007FAE30</string>
+				<string>E13CACEC0D78C4BD0051111D</string>
+				<string>E13CACED0D78C4BD0051111D</string>
+				<string>E13CACEE0D78C4BD0051111D</string>
+				<string>E13CACEF0D78C4BD0051111D</string>
+				<string>E13CACF00D78C4BD0051111D</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>938 75 807 570 0 0 1920 1178 </string>
+			<string>736 128 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -924,5 +888,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string>ICeCoffEEServices.m</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -933,5 +897,5 @@
 										<string>{{0, 0}, {848, 299}}</string>
 										<key>RubberWindowFrame</key>
-										<string>963 203 848 651 0 0 1920 1178 </string>
+										<string>475 329 848 651 0 0 1920 1178 </string>
 									</dict>
 									<key>Module</key>
@@ -959,5 +923,5 @@
 								<string>{{0, 304}, {848, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>963 203 848 651 0 0 1920 1178 </string>
+								<string>475 329 848 651 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -982,11 +946,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E1324EA40D6F80B800ADB1ED</string>
-				<string>E1324EA50D6F80B800ADB1ED</string>
+				<string>E198682F0D729FE2003CCA1C</string>
+				<string>E19868300D729FE2003CCA1C</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>963 203 848 651 0 0 1920 1178 </string>
+			<string>475 329 848 651 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1025,5 +989,5 @@
 								<string>{{0, 0}, {805, 587}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1051 73 805 628 0 0 1920 1178 </string>
+								<string>743 92 805 628 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1048,5 +1012,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E1890CB50D6F7A07007FAE30</string>
+				<string>E13CAD140D78C81D0051111D</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1054,9 +1018,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>1051 73 805 628 0 0 1920 1178 </string>
+			<string>743 92 805 628 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1317,6 +1281,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E15464250D5E9F1000C836EC</string>
-				<string>E15464260D5E9F1000C836EC</string>
+				<string>E19868190D728F9F003CCA1C</string>
+				<string>E198681A0D728F9F003CCA1C</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1327,7 +1291,7 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E15464250D5E9F1000C836EC</string>
+			<string>E19868190D728F9F003CCA1C</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 393)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 421)
@@ -12,21 +12,13 @@
 	29B97313FDCFA39411CA2CEA /* Project object */ = {
 		activeArchitecture = i386;
-		activeBuildConfigurationName = Development;
-		activeExecutable = E136EAA103E42F7500050002 /* Terminal */;
+		activeBuildConfigurationName = Deployment;
+		activeExecutable = E1317A3503DF242100050002 /* System Preferences */;
 		activeTarget = E1ABAE8D0812F4B2007C5427 /* APE Module */;
 		addToTargets = (
-			E1ABAE8D0812F4B2007C5427 /* APE Module */,
+			E13CACD90D78C4720051111D /* GetNumericBundleVersion */,
 		);
 		breakpoints = (
 			E1317A3803DF24F800050002 /* _NSAutoreleaseNoPool */,
-			E1318E260A05504100F2D492 /* -[NSObject setSelInProgress:] */,
-			E1318E600A05551800F2D492 /* -[TermView setSelInProgress:] */,
-			E1318E710A05589100F2D492 /* -[NSWindow sendEvent:] */,
-			E1318EA20A05603500F2D492 /* -[_NSThemeWidget mouseDown:] */,
-			E1318EA80A05606F00F2D492 /* -[NSControl mouseDown:]+32 */,
-			E1318EB50A05615E00F2D492 /* 0x937da530 */,
-			E1318EB80A05618400F2D492 /* -[NSControl mouseDown:]+160 */,
 			E15467590D5FF8F200C836EC /* objc_exception_throw */,
-			E101AA180D6F424000AB607D /* ICeCoffEE.h:36 */,
 		);
 		codeSenseManager = E12B21590548C9B600CFF4E9 /* Code sense */;
@@ -39,4 +31,5 @@
 			E1ABE98B040D48E700050002 /* Safari */,
 			E1ABAEE00812F4B2007C5427 /* ICFindFilesToRemove */,
+			E13CACDB0D78C4720051111D /* GetNumericBundleVersion */,
 			E14E2B1E0C2CBF1500AC18D0 /* TestParser */,
 		);
@@ -129,5 +122,5 @@
 				PBXFileTableDataSourceColumnWidthsKey = (
 					20,
-					237,
+					314,
 					20,
 					49,
@@ -220,5 +213,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 225410659;
+			PBXPerProjectTemplateStateSaveDate = 226017456;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -695,17 +688,95 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 225410659;
+			PBXWorkspaceStateSaveDate = 226017456;
 		};
 		perUserProjectItems = {
-			E1324E9E0D6F7E6B00ADB1ED /* PBXTextBookmark */ = E1324E9E0D6F7E6B00ADB1ED /* PBXTextBookmark */;
-			E1324E9F0D6F7E6B00ADB1ED /* PBXTextBookmark */ = E1324E9F0D6F7E6B00ADB1ED /* PBXTextBookmark */;
-			E1324EA00D6F80AE00ADB1ED /* PBXTextBookmark */ = E1324EA00D6F80AE00ADB1ED /* PBXTextBookmark */;
-			E1324EA30D6F80B800ADB1ED /* PBXTextBookmark */ = E1324EA30D6F80B800ADB1ED /* PBXTextBookmark */;
-			E1324EA60D6F80C100ADB1ED /* PBXTextBookmark */ = E1324EA60D6F80C100ADB1ED /* PBXTextBookmark */;
-			E1324EA70D6F80C100ADB1ED /* PBXTextBookmark */ = E1324EA70D6F80C100ADB1ED /* PBXTextBookmark */;
-			E1AE3D190D6F7DBC00209D15 = E1AE3D190D6F7DBC00209D15 /* PBXTextBookmark */;
-			E1F137590D6F7E5D007D5BA3 = E1F137590D6F7E5D007D5BA3 /* PBXTextBookmark */;
-			E1F1375A0D6F7E5D007D5BA3 = E1F1375A0D6F7E5D007D5BA3 /* PBXTextBookmark */;
-			E1F1375B0D6F7E5D007D5BA3 = E1F1375B0D6F7E5D007D5BA3 /* PBXTextBookmark */;
+			E13CACD40D78C2FF0051111D /* PBXBookmark */ = E13CACD40D78C2FF0051111D /* PBXBookmark */;
+			E13CACE60D78C4BD0051111D /* PBXTextBookmark */ = E13CACE60D78C4BD0051111D /* PBXTextBookmark */;
+			E13CACE70D78C4BD0051111D /* PBXTextBookmark */ = E13CACE70D78C4BD0051111D /* PBXTextBookmark */;
+			E13CACE80D78C4BD0051111D /* PBXTextBookmark */ = E13CACE80D78C4BD0051111D /* PBXTextBookmark */;
+			E13CACE90D78C4BD0051111D /* PBXTextBookmark */ = E13CACE90D78C4BD0051111D /* PBXTextBookmark */;
+			E13CAD000D78C7B70051111D /* PBXTextBookmark */ = E13CAD000D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD010D78C7B70051111D /* PBXTextBookmark */ = E13CAD010D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD020D78C7B70051111D /* PBXTextBookmark */ = E13CAD020D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD030D78C7B70051111D /* PBXTextBookmark */ = E13CAD030D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD040D78C7B70051111D /* PBXTextBookmark */ = E13CAD040D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD050D78C7B70051111D /* PBXTextBookmark */ = E13CAD050D78C7B70051111D /* PBXTextBookmark */;
+			E13CAD0C0D78C7F00051111D /* PBXTextBookmark */ = E13CAD0C0D78C7F00051111D /* PBXTextBookmark */;
+			E13CAD0F0D78C81D0051111D /* PBXTextBookmark */ = E13CAD0F0D78C81D0051111D /* PBXTextBookmark */;
+			E13CAD100D78C81D0051111D /* PBXTextBookmark */ = E13CAD100D78C81D0051111D /* PBXTextBookmark */;
+			E13CAD110D78C81D0051111D /* PBXTextBookmark */ = E13CAD110D78C81D0051111D /* PBXTextBookmark */;
+			E13CAD120D78C81D0051111D /* PBXTextBookmark */ = E13CAD120D78C81D0051111D /* PBXTextBookmark */;
+			E13CAD130D78C81D0051111D /* PBXTextBookmark */ = E13CAD130D78C81D0051111D /* PBXTextBookmark */;
+			E13CAD160D78C8410051111D /* PBXTextBookmark */ = E13CAD160D78C8410051111D /* PBXTextBookmark */;
+			E13CAD170D78C8410051111D /* PBXTextBookmark */ = E13CAD170D78C8410051111D /* PBXTextBookmark */;
+			E13CAD180D78C8410051111D /* PBXTextBookmark */ = E13CAD180D78C8410051111D /* PBXTextBookmark */;
+			E13CAD190D78C8410051111D /* PBXTextBookmark */ = E13CAD190D78C8410051111D /* PBXTextBookmark */;
+			E13CAD1A0D78C8410051111D /* PBXTextBookmark */ = E13CAD1A0D78C8410051111D /* PBXTextBookmark */;
+			E13CAD1D0D78C8760051111D /* PBXTextBookmark */ = E13CAD1D0D78C8760051111D /* PBXTextBookmark */;
+			E13CAD1E0D78C8760051111D /* PBXTextBookmark */ = E13CAD1E0D78C8760051111D /* PBXTextBookmark */;
+			E13CAD1F0D78C8760051111D /* PBXTextBookmark */ = E13CAD1F0D78C8760051111D /* PBXTextBookmark */;
+			E13CAD200D78C8760051111D /* PBXTextBookmark */ = E13CAD200D78C8760051111D /* PBXTextBookmark */;
+			E13CAD210D78C8760051111D /* PBXTextBookmark */ = E13CAD210D78C8760051111D /* PBXTextBookmark */;
+			E13CAD280D78C90C0051111D /* PBXTextBookmark */ = E13CAD280D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD290D78C90C0051111D /* PBXTextBookmark */ = E13CAD290D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD2A0D78C90C0051111D /* PBXTextBookmark */ = E13CAD2A0D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD2B0D78C90C0051111D /* PBXTextBookmark */ = E13CAD2B0D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD2C0D78C90C0051111D /* PBXTextBookmark */ = E13CAD2C0D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD2D0D78C90C0051111D /* PBXTextBookmark */ = E13CAD2D0D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD2E0D78C90C0051111D /* PBXTextBookmark */ = E13CAD2E0D78C90C0051111D /* PBXTextBookmark */;
+			E13CAD300D78C93E0051111D /* PBXTextBookmark */ = E13CAD300D78C93E0051111D /* PBXTextBookmark */;
+			E13CAD310D78C93E0051111D /* PBXTextBookmark */ = E13CAD310D78C93E0051111D /* PBXTextBookmark */;
+			E13CAD320D78C93E0051111D /* PBXTextBookmark */ = E13CAD320D78C93E0051111D /* PBXTextBookmark */;
+			E13CAD330D78C93E0051111D /* PBXTextBookmark */ = E13CAD330D78C93E0051111D /* PBXTextBookmark */;
+			E13CAD370D78C9D10051111D /* PBXTextBookmark */ = E13CAD370D78C9D10051111D /* PBXTextBookmark */;
+			E13CAD380D78C9D10051111D /* PBXTextBookmark */ = E13CAD380D78C9D10051111D /* PBXTextBookmark */;
+			E13CAD390D78C9D10051111D /* PBXTextBookmark */ = E13CAD390D78C9D10051111D /* PBXTextBookmark */;
+			E13CAD3A0D78C9F00051111D /* PBXTextBookmark */ = E13CAD3A0D78C9F00051111D /* PBXTextBookmark */;
+			E13CAD3B0D78C9F00051111D /* PBXTextBookmark */ = E13CAD3B0D78C9F00051111D /* PBXTextBookmark */;
+			E13CAD3C0D78C9F00051111D /* PBXTextBookmark */ = E13CAD3C0D78C9F00051111D /* PBXTextBookmark */;
+			E13CAD3D0D78C9F70051111D /* PBXBookmark */ = E13CAD3D0D78C9F70051111D /* PBXBookmark */;
+			E13CAD400D78CA040051111D /* PBXTextBookmark */ = E13CAD400D78CA040051111D /* PBXTextBookmark */;
+			E13CAD410D78CA040051111D /* PBXTextBookmark */ = E13CAD410D78CA040051111D /* PBXTextBookmark */;
+			E13CAD420D78CA040051111D /* PBXTextBookmark */ = E13CAD420D78CA040051111D /* PBXTextBookmark */;
+			E13CAD430D78CA040051111D /* PBXTextBookmark */ = E13CAD430D78CA040051111D /* PBXTextBookmark */;
+			E13CAD4A0D78CA540051111D /* PBXTextBookmark */ = E13CAD4A0D78CA540051111D /* PBXTextBookmark */;
+			E13CAD4B0D78CA540051111D /* PBXTextBookmark */ = E13CAD4B0D78CA540051111D /* PBXTextBookmark */;
+			E13CAD4C0D78CA540051111D /* PBXTextBookmark */ = E13CAD4C0D78CA540051111D /* PBXTextBookmark */;
+			E13CAD4D0D78CA540051111D /* PBXTextBookmark */ = E13CAD4D0D78CA540051111D /* PBXTextBookmark */;
+			E13CAD4E0D78CA690051111D /* PBXTextBookmark */ = E13CAD4E0D78CA690051111D /* PBXTextBookmark */;
+			E13CAD4F0D78CA690051111D /* PBXTextBookmark */ = E13CAD4F0D78CA690051111D /* PBXTextBookmark */;
+			E13CAD500D78CA690051111D /* PBXTextBookmark */ = E13CAD500D78CA690051111D /* PBXTextBookmark */;
+			E13CAD510D78CA6E0051111D /* PBXTextBookmark */ = E13CAD510D78CA6E0051111D /* PBXTextBookmark */;
+			E13CAD520D78CA6E0051111D /* PBXTextBookmark */ = E13CAD520D78CA6E0051111D /* PBXTextBookmark */;
+			E13CAD530D78CA6E0051111D /* PBXTextBookmark */ = E13CAD530D78CA6E0051111D /* PBXTextBookmark */;
+			E13CAD570D78CA9E0051111D /* PBXTextBookmark */ = E13CAD570D78CA9E0051111D /* PBXTextBookmark */;
+			E13CAD580D78CA9E0051111D /* PBXTextBookmark */ = E13CAD580D78CA9E0051111D /* PBXTextBookmark */;
+			E13CAD590D78CA9E0051111D /* PBXTextBookmark */ = E13CAD590D78CA9E0051111D /* PBXTextBookmark */;
+			E13CAD5B0D78CADE0051111D /* PBXTextBookmark */ = E13CAD5B0D78CADE0051111D /* PBXTextBookmark */;
+			E13CAD5C0D78CADE0051111D /* PBXTextBookmark */ = E13CAD5C0D78CADE0051111D /* PBXTextBookmark */;
+			E13CAD5D0D78CADE0051111D /* PBXTextBookmark */ = E13CAD5D0D78CADE0051111D /* PBXTextBookmark */;
+			E13CAD600D78CB070051111D /* PBXTextBookmark */ = E13CAD600D78CB070051111D /* PBXTextBookmark */;
+			E13CAD610D78CB070051111D /* PBXTextBookmark */ = E13CAD610D78CB070051111D /* PBXTextBookmark */;
+			E13CAD620D78CB070051111D /* PBXTextBookmark */ = E13CAD620D78CB070051111D /* PBXTextBookmark */;
+			E13CAD630D78CB460051111D /* PBXTextBookmark */ = E13CAD630D78CB460051111D /* PBXTextBookmark */;
+			E13CAD640D78CB460051111D /* PBXTextBookmark */ = E13CAD640D78CB460051111D /* PBXTextBookmark */;
+			E13CAD650D78CB460051111D /* PBXTextBookmark */ = E13CAD650D78CB460051111D /* PBXTextBookmark */;
+			E13CAD660D78CB630051111D /* PBXTextBookmark */ = E13CAD660D78CB630051111D /* PBXTextBookmark */;
+			E13CAD670D78CB630051111D /* PBXTextBookmark */ = E13CAD670D78CB630051111D /* PBXTextBookmark */;
+			E13CAD680D78CB630051111D /* PBXTextBookmark */ = E13CAD680D78CB630051111D /* PBXTextBookmark */;
+			E13CAD6A0D78CBBE0051111D /* PBXTextBookmark */ = E13CAD6A0D78CBBE0051111D /* PBXTextBookmark */;
+			E13CAD6B0D78CBBE0051111D /* PBXTextBookmark */ = E13CAD6B0D78CBBE0051111D /* PBXTextBookmark */;
+			E13CAD6C0D78CBBE0051111D /* PBXTextBookmark */ = E13CAD6C0D78CBBE0051111D /* PBXTextBookmark */;
+			E13CAD6E0D78CBED0051111D /* PBXTextBookmark */ = E13CAD6E0D78CBED0051111D /* PBXTextBookmark */;
+			E13CAD6F0D78CBED0051111D /* PBXTextBookmark */ = E13CAD6F0D78CBED0051111D /* PBXTextBookmark */;
+			E13CAD700D78CC270051111D /* PBXTextBookmark */ = E13CAD700D78CC270051111D /* PBXTextBookmark */;
+			E13CAD710D78CC270051111D /* PBXTextBookmark */ = E13CAD710D78CC270051111D /* PBXTextBookmark */;
+			E13CAD750D78CCF70051111D /* PBXTextBookmark */ = E13CAD750D78CCF70051111D /* PBXTextBookmark */;
+			E198684D0D7365FD003CCA1C = E198684D0D7365FD003CCA1C /* PBXTextBookmark */;
+			E198684E0D7365FD003CCA1C = E198684E0D7365FD003CCA1C /* PBXTextBookmark */;
+			E198684F0D7365FD003CCA1C = E198684F0D7365FD003CCA1C /* PBXTextBookmark */;
+			E1A953910D771DD300AF3BBA = E1A953910D771DD300AF3BBA /* PBXTextBookmark */;
+			E1A953920D771DD300AF3BBA = E1A953920D771DD300AF3BBA /* PBXTextBookmark */;
+			E1A953930D771DD300AF3BBA = E1A953930D771DD300AF3BBA /* PBXTextBookmark */;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -716,6 +787,6 @@
 	E101A6FD0D6D594700AB607D /* ICeCoffEETTView.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {842, 853}}";
-			sepNavSelRange = "{420, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {842, 830}}";
+			sepNavSelRange = "{301, 3}";
 			sepNavVisRange = "{0, 586}";
 			sepNavWindowFrame = "{{168, 203}, {901, 889}}";
@@ -759,19 +830,4 @@
 			sepNavWindowFrame = "{{868, 69}, {867, 1016}}";
 		};
-	};
-	E101AA180D6F424000AB607D /* ICeCoffEE.h:36 */ = {
-		isa = PBXFileBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		fileReference = E14343B303DB4CF200050002 /* ICeCoffEE.h */;
-		hitCount = 0;
-		ignoreCount = 0;
-		lineNumber = 36;
-		modificationTime = 225396947.228166;
-		state = 1;
 	};
 	E104851C040C1E3900050002 /* テキストエディット */ = {
@@ -854,9 +910,9 @@
 	E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 4994}}";
-			sepNavSelRange = "{9860, 7}";
-			sepNavVisRange = "{9289, 728}";
+			sepNavIntBoundsRect = "{{0, 0}, {782, 4939}}";
+			sepNavSelRange = "{3320, 0}";
+			sepNavVisRange = "{1827, 3172}";
 			sepNavVisRect = "{{0, 0}, {802, 929}}";
-			sepNavWindowFrame = "{{824, 24}, {841, 967}}";
+			sepNavWindowFrame = "{{174, 56}, {841, 967}}";
 		};
 	};
@@ -925,5 +981,5 @@
 		);
 		autoAttachOnCrash = 1;
-		breakpointsEnabled = 1;
+		breakpointsEnabled = 0;
 		configStateDict = {
 			"PBXLSLaunchAction-1" = {
@@ -979,5 +1035,5 @@
 		hitCount = 0;
 		ignoreCount = 0;
-		modificationTime = 225396757.0390469;
+		modificationTime = 225615974.290997;
 		state = 2;
 		symbolName = _NSAutoreleaseNoPool;
@@ -1011,167 +1067,8 @@
 		vrLoc = 0;
 	};
-	E1318E260A05504100F2D492 /* -[NSObject setSelInProgress:] */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		modificationTime = 225396757.039058;
-		state = 2;
-		symbolName = "-[NSObject setSelInProgress:]";
-	};
-	E1318E600A05551800F2D492 /* -[TermView setSelInProgress:] */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		location = "";
-		modificationTime = 225396757.039063;
-		state = 2;
-		symbolName = "-[TermView setSelInProgress:]";
-	};
-	E1318E710A05589100F2D492 /* -[NSWindow sendEvent:] */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		modificationTime = 225396757.039067;
-		state = 2;
-		symbolName = "-[NSWindow sendEvent:]";
-	};
-	E1318EA20A05603500F2D492 /* -[_NSThemeWidget mouseDown:] */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		location = AppKit;
-		modificationTime = 225396757.0390719;
-		state = 2;
-		symbolName = "-[_NSThemeWidget mouseDown:]";
-	};
-	E1318EA80A05606F00F2D492 /* -[NSControl mouseDown:]+32 */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		location = "";
-		modificationTime = 225396757.039076;
-		state = 2;
-		symbolName = "-[NSControl mouseDown:]+32";
-	};
-	E1318EB50A05615E00F2D492 /* 0x937da530 */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		modificationTime = 225396757.03908;
-		state = 2;
-		symbolName = 0x937da530;
-	};
-	E1318EB80A05618400F2D492 /* -[NSControl mouseDown:]+160 */ = {
-		isa = PBXSymbolicBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		hitCount = 0;
-		ignoreCount = 0;
-		location = "";
-		modificationTime = 225396757.039083;
-		state = 2;
-		symbolName = "-[NSControl mouseDown:]+160";
-	};
-	E1324E9E0D6F7E6B00ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
-		name = "ICeCoffEETrigger.m: 43";
-		rLen = 32;
-		rLoc = 1348;
-		rType = 0;
-		vrLen = 2257;
-		vrLoc = 0;
-	};
-	E1324E9F0D6F7E6B00ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 19";
-		rLen = 13;
-		rLoc = 361;
-		rType = 0;
-		vrLen = 1051;
-		vrLoc = 0;
-	};
-	E1324EA00D6F80AE00ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
-		rLen = 7;
-		rLoc = 9860;
-		rType = 0;
-	};
-	E1324EA30D6F80B800ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
-		name = "ICeCoffEEServicePrefController.m: 256";
-		rLen = 7;
-		rLoc = 9860;
-		rType = 0;
-		vrLen = 728;
-		vrLoc = 9289;
-	};
-	E1324EA60D6F80C100ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
-		name = "ICeCoffEETrigger.m: 52";
-		rLen = 0;
-		rLoc = 1627;
-		rType = 0;
-		vrLen = 2257;
-		vrLoc = 0;
-	};
-	E1324EA70D6F80C100ADB1ED /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 19";
-		rLen = 13;
-		rLoc = 361;
-		rType = 0;
-		vrLen = 1051;
-		vrLoc = 0;
-	};
 	E135625E03DC9FC200050002 /* ICeCoffEEShared.h */ = {
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {666, 649}}";
-			sepNavSelRange = "{420, 0}";
+			sepNavSelRange = "{283, 0}";
 			sepNavVisRange = "{25, 1813}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
@@ -1252,9 +1149,853 @@
 	E13762D203EC636D00050002 /* ICeCoffEEBookmarks.c */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 2582}}";
+			sepNavIntBoundsRect = "{{0, 0}, {787, 2420}}";
 			sepNavSelRange = "{3518, 3}";
 			sepNavVisRange = "{3061, 1092}";
 			sepNavVisRect = "{{0, 1553}, {813, 376}}";
-		};
+			sepNavWindowFrame = "{{15, 205}, {962, 968}}";
+		};
+	};
+	E13CACD40D78C2FF0051111D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+	};
+	E13CACD90D78C4720051111D /* GetNumericBundleVersion */ = {
+		activeExec = 0;
+		executables = (
+			E13CACDB0D78C4720051111D /* GetNumericBundleVersion */,
+		);
+	};
+	E13CACDB0D78C4720051111D /* GetNumericBundleVersion */ = {
+		isa = PBXExecutable;
+		activeArgIndices = (
+			YES,
+		);
+		argumentStrings = (
+			ICeCoffEE.ape,
+		);
+		autoAttachOnCrash = 1;
+		breakpointsEnabled = 0;
+		configStateDict = {
+		};
+		customDataFormattersEnabled = 1;
+		debuggerPlugin = GDBDebugging;
+		disassemblyDisplayState = 0;
+		dylibVariantSuffix = "";
+		enableDebugStr = 1;
+		environmentEntries = (
+		);
+		executableSystemSymbolLevel = 0;
+		executableUserSymbolLevel = 0;
+		libgmallocEnabled = 0;
+		name = GetNumericBundleVersion;
+		sourceDirectories = (
+		);
+	};
+	E13CACE60D78C4BD0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CACE70D78C4BD0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CACE80D78C4BD0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CACE90D78C4BD0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {903, 932}}";
+			sepNavSelRange = "{1049, 0}";
+			sepNavVisRange = "{0, 1050}";
+			sepNavWindowFrame = "{{166, 80}, {962, 968}}";
+		};
+	};
+	E13CAD000D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		rLen = 0;
+		rLoc = 2147484503;
+		rType = 0;
+	};
+	E13CAD010D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 37";
+		rLen = 0;
+		rLoc = 1048;
+		rType = 0;
+		vrLen = 838;
+		vrLoc = 0;
+	};
+	E13CAD020D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD030D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD040D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD050D78C7B70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD0C0D78C7F00051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		comments = "warning: pointer targets in passing argument 2 of ‘CFURLCreateFromFileSystemRepresentation’ differ in signedness";
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		rLen = 0;
+		rLoc = 29;
+		rType = 1;
+	};
+	E13CAD0F0D78C81D0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 30";
+		rLen = 0;
+		rLoc = 592;
+		rType = 0;
+		vrLen = 879;
+		vrLoc = 0;
+	};
+	E13CAD100D78C81D0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1585;
+		vrLoc = 788;
+	};
+	E13CAD110D78C81D0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD120D78C81D0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3281;
+		vrLoc = 1939;
+	};
+	E13CAD130D78C81D0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3062;
+		vrLoc = 1827;
+	};
+	E13CAD160D78C8410051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 38";
+		rLen = 0;
+		rLoc = 1048;
+		rType = 0;
+		vrLen = 879;
+		vrLoc = 0;
+	};
+	E13CAD170D78C8410051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1585;
+		vrLoc = 788;
+	};
+	E13CAD180D78C8410051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD190D78C8410051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3281;
+		vrLoc = 1939;
+	};
+	E13CAD1A0D78C8410051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3062;
+		vrLoc = 1827;
+	};
+	E13CAD1D0D78C8760051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 42";
+		rLen = 0;
+		rLoc = 1048;
+		rType = 0;
+		vrLen = 1031;
+		vrLoc = 0;
+	};
+	E13CAD1E0D78C8760051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1585;
+		vrLoc = 788;
+	};
+	E13CAD1F0D78C8760051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD200D78C8760051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3281;
+		vrLoc = 1939;
+	};
+	E13CAD210D78C8760051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3062;
+		vrLoc = 1827;
+	};
+	E13CAD280D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD290D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD2A0D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 42";
+		rLen = 0;
+		rLoc = 1048;
+		rType = 0;
+		vrLen = 1031;
+		vrLoc = 0;
+	};
+	E13CAD2B0D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */;
+		name = "GetNumericBundleVersion.c: 32";
+		rLen = 0;
+		rLoc = 592;
+		rType = 0;
+		vrLen = 1076;
+		vrLoc = 0;
+	};
+	E13CAD2C0D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD2D0D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD2E0D78C90C0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD300D78C93E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1380;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD310D78C93E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD320D78C93E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD330D78C93E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD370D78C9D10051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD380D78C9D10051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD390D78C9D10051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD3A0D78C9F00051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD3B0D78C9F00051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD3C0D78C9F00051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD3D0D78C9F70051111D /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+	};
+	E13CAD400D78CA040051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 44";
+		rLen = 14;
+		rLoc = 1263;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD410D78CA040051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E13CAD420D78CA040051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD430D78CA040051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD4A0D78CA540051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 44";
+		rLen = 14;
+		rLoc = 1263;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD4B0D78CA540051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 10";
+		rLen = 0;
+		rLoc = 284;
+		rType = 0;
+		vrLen = 1378;
+		vrLoc = 0;
+	};
+	E13CAD4C0D78CA540051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD4D0D78CA540051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD4E0D78CA690051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 45";
+		rLen = 0;
+		rLoc = 1295;
+		rType = 0;
+		vrLen = 1379;
+		vrLoc = 0;
+	};
+	E13CAD4F0D78CA690051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD500D78CA690051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD510D78CA6E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD520D78CA6E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD530D78CA6E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD570D78CA9E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD580D78CA9E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD590D78CA9E0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD5B0D78CADE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD5C0D78CADE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD5D0D78CADE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD600D78CB070051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD610D78CB070051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD620D78CB070051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD630D78CB460051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD640D78CB460051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD650D78CB460051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD660D78CB630051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 41";
+		rLen = 0;
+		rLoc = 1188;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD670D78CB630051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD680D78CB630051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD6A0D78CBBE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 40";
+		rLen = 17;
+		rLoc = 1152;
+		rType = 0;
+		vrLen = 1380;
+		vrLoc = 0;
+	};
+	E13CAD6B0D78CBBE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD6C0D78CBBE0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD6E0D78CBED0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD6F0D78CBED0051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD700D78CC270051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3436;
+		vrLoc = 1939;
+	};
+	E13CAD710D78CC270051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E13CAD750D78CCF70051111D /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
 	};
 	E140C475040BB997009FF178 /* Japanese */ = {
@@ -1277,7 +2018,7 @@
 	E14343B403DB4CF200050002 /* ICeCoffEE.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 4994}}";
-			sepNavSelRange = "{17065, 13}";
-			sepNavVisRange = "{15673, 2242}";
+			sepNavIntBoundsRect = "{{0, 0}, {754, 4983}}";
+			sepNavSelRange = "{16698, 0}";
+			sepNavVisRange = "{15151, 1943}";
 			sepNavVisRect = "{{0, 2112}, {774, 708}}";
 			sepNavWindowFrame = "{{966, 83}, {813, 746}}";
@@ -1380,5 +2121,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {713, 1980}}";
 			sepNavSelRange = "{718, 0}";
-			sepNavVisRange = "{0, 2058}";
+			sepNavVisRange = "{0, 2002}";
 			sepNavVisRect = "{{0, 154}, {733, 778}}";
 			sepNavWindowFrame = "{{828, 355}, {772, 816}}";
@@ -1387,7 +2128,7 @@
 	E14E2BC20C2CC28500AC18D0 /* urls.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {713, 1232}}";
-			sepNavSelRange = "{2339, 0}";
-			sepNavVisRange = "{922, 1513}";
+			sepNavIntBoundsRect = "{{0, 0}, {713, 1166}}";
+			sepNavSelRange = "{0, 2464}";
+			sepNavVisRange = "{0, 1670}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
 			sepNavWindowFrame = "{{717, 64}, {772, 816}}";
@@ -1405,5 +2146,5 @@
 		ignoreCount = 0;
 		location = libobjc.A.dylib;
-		modificationTime = 225396757.039087;
+		modificationTime = 225615974.29169;
 		state = 1;
 		symbolName = objc_exception_throw;
@@ -1589,6 +2330,6 @@
 	E182C8F603DE817F00050002 /* ICeCoffEEShared.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {666, 600}}";
-			sepNavSelRange = "{1357, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {666, 623}}";
+			sepNavSelRange = "{729, 0}";
 			sepNavVisRange = "{0, 2212}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
@@ -1606,10 +2347,40 @@
 	E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 1727}}";
-			sepNavSelRange = "{2406, 3}";
-			sepNavVisRange = "{1902, 1084}";
+			sepNavIntBoundsRect = "{{0, 0}, {782, 1749}}";
+			sepNavSelRange = "{1218, 39}";
+			sepNavVisRange = "{0, 3487}";
 			sepNavVisRect = "{{0, 0}, {802, 929}}";
-			sepNavWindowFrame = "{{484, 61}, {841, 967}}";
-		};
+			sepNavWindowFrame = "{{654, 26}, {841, 967}}";
+		};
+	};
+	E198684D0D7365FD003CCA1C /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
+	E198684E0D7365FD003CCA1C /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 105";
+		rLen = 0;
+		rLoc = 4214;
+		rType = 0;
+		vrLen = 3293;
+		vrLoc = 2402;
+	};
+	E198684F0D7365FD003CCA1C /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
 	};
 	E19EB4FA03DD35A700050002 /* UICookieMonster.m */ = {
@@ -1637,4 +2408,34 @@
 		};
 	};
+	E1A953910D771DD300AF3BBA /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */;
+		name = "ICeCoffEEServices.m: 137";
+		rLen = 0;
+		rLoc = 5395;
+		rType = 0;
+		vrLen = 3293;
+		vrLoc = 2402;
+	};
+	E1A953920D771DD300AF3BBA /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14E2BC20C2CC28500AC18D0 /* urls.plist */;
+		name = "urls.plist: 1";
+		rLen = 2464;
+		rLoc = 0;
+		rType = 0;
+		vrLen = 1639;
+		vrLoc = 788;
+	};
+	E1A953930D771DD300AF3BBA /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 92";
+		rLen = 0;
+		rLoc = 3320;
+		rType = 0;
+		vrLen = 3172;
+		vrLoc = 1827;
+	};
 	E1ABAE8D0812F4B2007C5427 /* APE Module */ = {
 		activeExec = 0;
@@ -1642,6 +2443,6 @@
 	E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {703, 622}}";
-			sepNavSelRange = "{1368, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {703, 645}}";
+			sepNavSelRange = "{1313, 28}";
 			sepNavVisRange = "{0, 1368}";
 			sepNavVisRect = "{{0, 0}, {707, 473}}";
@@ -1654,5 +2455,5 @@
 	E1ABAED40812F4B2007C5427 /* Info-APEManagerPrefPane.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {728, 584}}";
+			sepNavIntBoundsRect = "{{0, 0}, {728, 607}}";
 			sepNavSelRange = "{0, 0}";
 			sepNavVisRange = "{0, 941}";
@@ -1692,6 +2493,7 @@
 	E1ABAEF00812F4B3007C5427 /* Info-ICeCoffEE Installer.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {748, 606}}";
-			sepNavSelRange = "{790, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {728, 607}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 790}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
 			sepNavWindowFrame = "{{452, 103}, {787, 643}}";
@@ -1723,14 +2525,4 @@
 		);
 	};
-	E1AE3D190D6F7DBC00209D15 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 27";
-		rLen = 0;
-		rLoc = 620;
-		rType = 0;
-		vrLen = 1051;
-		vrLoc = 0;
-	};
 	E1BB269003DB74B700050002 /* ICeCoffEEMenuOnly.m */ = {
 		uiCtxt = {
@@ -1766,8 +2558,8 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {674, 710}}";
-			sepNavSelRange = "{1391, 0}";
-			sepNavVisRange = "{0, 1391}";
+			sepNavSelRange = "{1380, 0}";
+			sepNavVisRange = "{0, 1380}";
 			sepNavVisRect = "{{0, 174}, {813, 376}}";
-			sepNavWindowFrame = "{{883, 111}, {733, 746}}";
+			sepNavWindowFrame = "{{1050, 98}, {733, 746}}";
 		};
 	};
@@ -1848,5 +2640,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {713, 780}}";
-			sepNavSelRange = "{32, 0}";
+			sepNavSelRange = "{0, 25}";
 			sepNavVisRange = "{0, 32}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
@@ -1856,40 +2648,10 @@
 	E1CBC99803E7602700050002 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {728, 1322}}";
+			sepNavIntBoundsRect = "{{0, 0}, {728, 1248}}";
 			sepNavSelRange = "{653, 0}";
-			sepNavVisRange = "{0, 1696}";
+			sepNavVisRange = "{0, 1698}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
 			sepNavWindowFrame = "{{475, 103}, {787, 643}}";
 		};
-	};
-	E1F137590D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
-		name = "ICeCoffEETrigger.m: 64";
-		rLen = 0;
-		rLoc = 1892;
-		rType = 0;
-		vrLen = 2267;
-		vrLoc = 0;
-	};
-	E1F1375A0D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
-		name = "ICeCoffEETrigger.m: 63";
-		rLen = 0;
-		rLoc = 1804;
-		rType = 0;
-		vrLen = 2257;
-		vrLoc = 0;
-	};
-	E1F1375B0D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
-		name = "ICeCoffEEConfig.h: 19";
-		rLen = 13;
-		rLoc = 361;
-		rType = 0;
-		vrLen = 1051;
-		vrLoc = 0;
 	};
 	E1F6E3AC040BCC5700050002 /* Japanese */ = {
@@ -1928,8 +2690,8 @@
 	F56276C20379923401AA4DA5 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {715, 6668}}";
-			sepNavSelRange = "{8506, 0}";
-			sepNavVisRect = "{{0, 2491}, {715, 709}}";
-			sepNavWindowFrame = "{{856, 65}, {754, 746}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6618}}";
+			sepNavSelRange = "{8076, 0}";
+			sepNavVisRect = "{{0, 2498}, {715, 709}}";
+			sepNavWindowFrame = "{{1052, 142}, {754, 746}}";
 		};
 	};
@@ -1944,9 +2706,9 @@
 	F9A6986E03BE1DF000AA4DA5 /* APEMain.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {796, 3437}}";
-			sepNavSelRange = "{5011, 0}";
-			sepNavVisRange = "{3470, 3366}";
+			sepNavIntBoundsRect = "{{0, 0}, {796, 3330}}";
+			sepNavSelRange = "{6788, 0}";
+			sepNavVisRange = "{4322, 3402}";
 			sepNavVisRect = "{{0, 566}, {813, 376}}";
-			sepNavWindowFrame = "{{462, 37}, {855, 719}}";
+			sepNavWindowFrame = "{{785, 26}, {855, 719}}";
 		};
 	};
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 393)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 421)
@@ -20,4 +20,5 @@
 				E1EF063A0814203F00C464C7 /* PBXTargetDependency */,
 				E1EF063C0814203F00C464C7 /* PBXTargetDependency */,
+				E13CAD350D78C96E0051111D /* PBXTargetDependency */,
 			);
 			name = "ICeCoffEE Installer";
@@ -34,4 +35,6 @@
 		E120DF1608141DBD00BF8DDC /* KillPrefpanesCache.sh in CopyFiles */ = {isa = PBXBuildFile; fileRef = E1BF15A403DBAA5600050002 /* KillPrefpanesCache.sh */; };
 		E120DF1908141DBD00BF8DDC /* ui.plist in CopyFiles */ = {isa = PBXBuildFile; fileRef = E1BF15A503DBAA5600050002 /* ui.plist */; };
+		E13CACF50D78C4D20051111D /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = E169DCAB03E4FF7A00050002 /* Carbon.framework */; };
+		E13CACF80D78C5050051111D /* GetNumericBundleVersion.c in Sources */ = {isa = PBXBuildFile; fileRef = E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */; };
 		E14DF1DA0A6F374700346107 /* APETools.o in Frameworks */ = {isa = PBXBuildFile; fileRef = E14DF1D90A6F374700346107 /* APETools.o */; };
 		E14E2AB60C2B774800AC18D0 /* ICeCoffEEParser.m in Sources */ = {isa = PBXBuildFile; fileRef = E14E2AB40C2B774800AC18D0 /* ICeCoffEEParser.m */; };
@@ -84,4 +87,18 @@
 
 /* Begin PBXContainerItemProxy section */
+		E13CACDE0D78C4820051111D /* PBXContainerItemProxy */ = {
+			isa = PBXContainerItemProxy;
+			containerPortal = 29B97313FDCFA39411CA2CEA /* Project object */;
+			proxyType = 1;
+			remoteGlobalIDString = E1ABAE8D0812F4B2007C5427 /* APE Module */;
+			remoteInfo = "APE Module";
+		};
+		E13CAD340D78C96E0051111D /* PBXContainerItemProxy */ = {
+			isa = PBXContainerItemProxy;
+			containerPortal = 29B97313FDCFA39411CA2CEA /* Project object */;
+			proxyType = 1;
+			remoteGlobalIDString = E13CACD90D78C4720051111D /* GetNumericBundleVersion */;
+			remoteInfo = GetNumericBundleVersion;
+		};
 		E1ABAEF30812F4B3007C5427 /* PBXContainerItemProxy */ = {
 			isa = PBXContainerItemProxy;
@@ -182,4 +199,6 @@
 		E13762D103EC636D00050002 /* ICeCoffEEBookmarks.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEBookmarks.h; sourceTree = "<group>"; };
 		E13762D203EC636D00050002 /* ICeCoffEEBookmarks.c */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.c; path = ICeCoffEEBookmarks.c; sourceTree = "<group>"; };
+		E13CACDA0D78C4720051111D /* GetNumericBundleVersion */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = GetNumericBundleVersion; sourceTree = BUILT_PRODUCTS_DIR; };
+		E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = GetNumericBundleVersion.c; sourceTree = "<group>"; };
 		E140C475040BB997009FF178 /* Japanese */ = {isa = PBXFileReference; lastKnownFileType = wrapper.rtfd; name = Japanese; path = Japanese.lproj/APEInfo.rtfd; sourceTree = "<group>"; };
 		E140C476040BBABD009FF178 /* Japanese */ = {isa = PBXFileReference; lastKnownFileType = wrapper.nib; name = Japanese; path = "Japanese.lproj/APE Manager plugin.nib"; sourceTree = "<group>"; };
@@ -249,4 +268,12 @@
 
 /* Begin PBXFrameworksBuildPhase section */
+		E13CACD80D78C4720051111D /* Frameworks */ = {
+			isa = PBXFrameworksBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				E13CACF50D78C4D20051111D /* Carbon.framework in Frameworks */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		E14E2B2D0C2CBF8100AC18D0 /* Frameworks */ = {
 			isa = PBXFrameworksBuildPhase;
@@ -297,4 +324,5 @@
 				E1ABAEDF0812F4B2007C5427 /* ICFindFilesToRemove */,
 				E14E2B1D0C2CBF1500AC18D0 /* TestParser */,
+				E13CACDA0D78C4720051111D /* GetNumericBundleVersion */,
 			);
 			name = Products;
@@ -472,4 +500,5 @@
 			isa = PBXGroup;
 			children = (
+				E13CACF70D78C5050051111D /* GetNumericBundleVersion.c */,
 				E19EB4F503DD359100050002 /* ICFindFilesToRemove */,
 				E120DF0C08141D5100BF8DDC /* ICeCoffEE Installer.app */,
@@ -495,4 +524,21 @@
 
 /* Begin PBXNativeTarget section */
+		E13CACD90D78C4720051111D /* GetNumericBundleVersion */ = {
+			isa = PBXNativeTarget;
+			buildConfigurationList = E13CACF10D78C4BD0051111D /* Build configuration list for PBXNativeTarget "GetNumericBundleVersion" */;
+			buildPhases = (
+				E13CACD70D78C4720051111D /* Sources */,
+				E13CACD80D78C4720051111D /* Frameworks */,
+			);
+			buildRules = (
+			);
+			dependencies = (
+				E13CACDF0D78C4820051111D /* PBXTargetDependency */,
+			);
+			name = GetNumericBundleVersion;
+			productName = GetNumericBundleVersion;
+			productReference = E13CACDA0D78C4720051111D /* GetNumericBundleVersion */;
+			productType = "com.apple.product-type.tool";
+		};
 		E14E2B1C0C2CBF1500AC18D0 /* TestParser */ = {
 			isa = PBXNativeTarget;
@@ -598,4 +644,5 @@
 				E1ABAE8D0812F4B2007C5427 /* APE Module */,
 				E1ABAEBA0812F4B2007C5427 /* APEManagerPrefPane */,
+				E13CACD90D78C4720051111D /* GetNumericBundleVersion */,
 				E1ABAED60812F4B2007C5427 /* ICFindFilesToRemove */,
 				E120DB7308141CCB00BF8DDC /* ICeCoffEE Installer */,
@@ -649,5 +696,5 @@
 			runOnlyForDeploymentPostprocessing = 0;
 			shellPath = /bin/sh;
-			shellScript = "cd \"${BUILT_PRODUCTS_DIR}/${PRODUCT_NAME}.${WRAPPER_EXTENSION}/Contents/Resources/\" && \\\n/usr/bin/install \"${BUILT_PRODUCTS_DIR}/ICFindFilesToRemove\" ui && \\\nrm -rf ui/ICeCoffEE.ape && \\\nmkdir ui/ICeCoffEE.ape && \\\n/usr/bin/ditto -rsrc \"${BUILT_PRODUCTS_DIR}/ICeCoffEE.ape\" ui/ICeCoffEE.ape && \\\nfor i in ui/ICeCoffEE.ape/Contents/Resources/*.lproj\ndo\n    LPROJ=\"`basename $i`\"\n    mkdir -p \"${LPROJ}/ui\"\n    ln -s \"../../ui/ICeCoffEE.ape/Contents/Resources/$LPROJ/APEInfo.rtfd\" \"${LPROJ}/ui/ReadMe.rtfd\"\ndone";
+			shellScript = "cd \"${BUILT_PRODUCTS_DIR}/${PRODUCT_NAME}.${WRAPPER_EXTENSION}/Contents/Resources/\"\n/usr/bin/install \"${BUILT_PRODUCTS_DIR}/ICFindFilesToRemove\" ui\nrm -rf ui/ICeCoffEE.ape\nmkdir ui/ICeCoffEE.ape\n/usr/bin/ditto -rsrc \"${BUILT_PRODUCTS_DIR}/ICeCoffEE.ape\" ui/ICeCoffEE.ape\nfor i in ui/ICeCoffEE.ape/Contents/Resources/*.lproj\ndo\n    LPROJ=\"`basename $i`\"\n    mkdir -p \"${LPROJ}/ui\"\n    ln -s \"../../ui/ICeCoffEE.ape/Contents/Resources/$LPROJ/APEInfo.rtfd\" \"${LPROJ}/ui/ReadMe.rtfd\"\ndone\n/usr/libexec/PlistBuddy ui/ui.plist -c 'Set :ProductVersion \"'${CURRENT_MARKETING_VERSION}'\"'\n/usr/libexec/PlistBuddy ui/ui.plist -c 'Set :ProductNumVersion '$(${BUILT_PRODUCTS_DIR}/GetNumericBundleVersion ui/ICeCoffEE.ape)";
 		};
 		E1ABAEB70812F4B2007C5427 /* ShellScript */ = {
@@ -663,4 +710,12 @@
 
 /* Begin PBXSourcesBuildPhase section */
+		E13CACD70D78C4720051111D /* Sources */ = {
+			isa = PBXSourcesBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+				E13CACF80D78C5050051111D /* GetNumericBundleVersion.c in Sources */,
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+		};
 		E14E2B1A0C2CBF1500AC18D0 /* Sources */ = {
 			isa = PBXSourcesBuildPhase;
@@ -726,4 +781,14 @@
 
 /* Begin PBXTargetDependency section */
+		E13CACDF0D78C4820051111D /* PBXTargetDependency */ = {
+			isa = PBXTargetDependency;
+			target = E1ABAE8D0812F4B2007C5427 /* APE Module */;
+			targetProxy = E13CACDE0D78C4820051111D /* PBXContainerItemProxy */;
+		};
+		E13CAD350D78C96E0051111D /* PBXTargetDependency */ = {
+			isa = PBXTargetDependency;
+			target = E13CACD90D78C4720051111D /* GetNumericBundleVersion */;
+			targetProxy = E13CAD340D78C96E0051111D /* PBXContainerItemProxy */;
+		};
 		E1ABAEF40812F4B3007C5427 /* PBXTargetDependency */ = {
 			isa = PBXTargetDependency;
@@ -797,4 +862,20 @@
 
 /* Begin XCBuildConfiguration section */
+		E13CACDC0D78C4730051111D /* Development */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				PRODUCT_NAME = GetNumericBundleVersion;
+				SKIP_INSTALL = YES;
+			};
+			name = Development;
+		};
+		E13CACDD0D78C4730051111D /* Deployment */ = {
+			isa = XCBuildConfiguration;
+			buildSettings = {
+				PRODUCT_NAME = GetNumericBundleVersion;
+				SKIP_INSTALL = YES;
+			};
+			name = Deployment;
+		};
 		E14E2B290C2CBF5200AC18D0 /* Development */ = {
 			isa = XCBuildConfiguration;
@@ -850,5 +931,4 @@
 				COPY_PHASE_STRIP = YES;
 				FRAMEWORK_SEARCH_PATHS = /Library/Frameworks;
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
 				INFOPLIST_FILE = "Info-APEManagerPrefPane.plist";
 				PRODUCT_NAME = APEManagerPrefPane;
@@ -859,5 +939,4 @@
 				);
 				WRAPPER_EXTENSION = plugin;
-				ZERO_LINK = NO;
 			};
 			name = Deployment;
@@ -890,5 +969,4 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				COPY_PHASE_STRIP = YES;
 				EXPORTED_SYMBOLS_FILE = Exports.exp;
 				FRAMEWORK_SEARCH_PATHS = (
@@ -934,7 +1012,5 @@
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = ICFindFilesToRemove/ICFindFilesToRemove_Prefix.h;
-				OTHER_REZFLAGS = "";
 				PRODUCT_NAME = ICFindFilesToRemove;
-				REZ_EXECUTABLE = YES;
 				WARNING_CFLAGS = (
 					"-Wmost",
@@ -948,8 +1024,6 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				COPY_PHASE_STRIP = NO;
 				PRODUCT_NAME = "ICeCoffEE Installer";
 				WRAPPER_EXTENSION = app;
-				ZERO_LINK = YES;
 			};
 			name = Development;
@@ -958,8 +1032,6 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				COPY_PHASE_STRIP = YES;
 				PRODUCT_NAME = "ICeCoffEE Installer";
 				WRAPPER_EXTENSION = app;
-				ZERO_LINK = NO;
 			};
 			name = Deployment;
@@ -998,4 +1070,13 @@
 
 /* Begin XCConfigurationList section */
+		E13CACF10D78C4BD0051111D /* Build configuration list for PBXNativeTarget "GetNumericBundleVersion" */ = {
+			isa = XCConfigurationList;
+			buildConfigurations = (
+				E13CACDC0D78C4730051111D /* Development */,
+				E13CACDD0D78C4730051111D /* Deployment */,
+			);
+			defaultConfigurationIsVisible = 0;
+			defaultConfigurationName = Development;
+		};
 		E14E2B280C2CBF5200AC18D0 /* Build configuration list for PBXNativeTarget "TestParser" */ = {
 			isa = XCConfigurationList;
